[PACKAGE]: ../../raw/2.2.x/mkp/cisco_bgp_peer-1.0.2-20241220.mkp "cisco_bgp_peer-1.0.2-20241220.mkp"
# Cisco BGP Peer

Monitors status of Cisco BGP peers (IPv4 and IPv6, with basic support for VRFs on NXOS)

**Incompatible changes form the last version for CMK 1.6.x**
- **minuptime: changed from warn to warn/crit**
- **check output: remove details changed to add details**
- **perfdata: names changed**

**Note**: the service name has ben changed from _**Cisco BGP peer**_ to _**BGP peer**_ for streamlining with my other BGP peer plugins.

---
### Check Info

* *service*: this check creates one service for each peer/address family  (IPv4 and IPv6) [see bgp_peer service](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer/-/blob/2.2.x/README.md "BGP peer readme.md")
* *state*: [see bgp_peer states](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer/-/blob/2.2.x/README.md "BGP peer readme.md")

* *wato*: [see bgp_peer WATO options](https://thl-cmk.hopto.org/gitlab/checkmk/vendor-independent/bgp_peer/-/raw/2.2.ximg/wato.png?raw=true "BGP Peer WATO options")
   
* *perfdata (if avilable)*: 
    * Prefixes accepted (count)
    * Prefixes advertised (/s)
    * Prefixes denied (/s)
    * Prefixes suppressed (/s)
    * Prefixes withdrawn (/s)
    * Updates received (/s)
    * Updates send (/s)
    * Total messages received (/s)
    * Total messages send (/s)
    * FMS transitions (count)
    * FMS last change (s)
    * Last update received (s)

---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](img/sample.png?raw=true "sample output")

